### Method

# Goa MediaServer dup_udn

deprecated: Unknown since: 3.14

#### Declaration [src]

    gchar*
    goa_media_server_dup_udn (
      GoaMediaServer* object
    )

#### Description [src]

Gets a copy of the “Udn” D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

Available since: 3.14

Deprecated since: Unknown

The D-Bus property has been deprecated.

This method is not directly available to language bindings.

#### Return value

Type: `gchar*`

The property value or `NULL` if the property is not set. The returned value should be freed with g_free().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.